<template>
  <v-card>
    <v-card-title> Lista e faturave për {{ receipt.id }} </v-card-title>
    <v-row>
      <v-spacer />
      <v-col sm="3" class="mb-5">
        <v-text-field
          class="mr-3"
          v-model="search"
          prepend-inner-icon="mdi-magnify"
          label="Kërko"
          single-line
          clearable
          hide-details
        />
      </v-col>
    </v-row>

    <v-data-table
      dense
      :items="receipts"
      :headers="headers"
      :sort-by="'id'"
      :sort-desc="true"
      :items-per-page="15"
      :loading="loading"
      :options.sync="pagination"
      :server-items-length="totalRecords"
      :footer-props="{
        'items-per-page-options': [5, 10, 15],
      }"
    >
      <template v-slot:item="row">
        <tr>
          <td>{{ row.item.invoice_no }}</td>
          <td>{{ row.item.agent_fullname }}</td>
          <td>{{ row.item.date }}</td>
          <td>{{ row.item.value }}</td>
          <td>{{ row.item.debt }}</td>
          <td>{{ row.item.value }}</td>
        </tr>
      </template>
    </v-data-table>
    <v-card-actions>
      <v-btn @click="close" class="ml-auto" text>Mbyll</v-btn>
    </v-card-actions>
  </v-card>
</template>
<script lang="ts">
import Vue from 'vue'
import api from '../../../../plugins/api'
import Table from '../../../../plugins/table'
import { Component, Mixins, Prop, Watch } from 'vue-property-decorator'
@Component({
  components: {},
})
export default class ReceiptList extends Mixins(Table) {
  @Prop({ type: Object }) receipt
  @Watch('receipt')
  onReceiptChanged() {
    if (this.receipt) {
      console.log('receipt', this.receipt)
      this.fetchData()
    }
  }
  receipts = []
  totalRecords = 0
  filters = [
    {
      prop: 'search',
      value: '',
    },
  ]
  headers = [
    { text: 'Nr. Fatures', value: 'id', class: 'grey lighten-4' },
    {
      text: 'Agjenti i Shitjes',
      value: 'supplier',
      class: 'grey lighten-4',
    },
    { text: 'Data', value: 'date', class: 'grey lighten-4' },
    { text: 'Vlera', value: 'price', class: 'grey lighten-4' },
    { text: 'Borxh', value: 'debt', class: 'grey lighten-4' },
    {
      text: 'Paguar me kete kredit',
      value: 'this_credit',
      class: 'grey lighten-4',
    },
  ]
  close() {
    this.$emit('close')
  }
  fetchData() {
    this.loading = true
    api()
      .get(
        `/api/account-management/clients/receipt/${this.receipt.id}/invoices`
      )
      .then(response => {
        this.receipts = response.data.data
        this.totalRecords = response.data.meta.total
        this.loading = false
      })
  }
}
</script>
